Subject: bug#18815: 25.0.50; emacs crash

From: Yagnesh Raghava Yakkala <[email-masked]>
Date: Sat, 25 Oct 2014 02:36:28 +0900

Hello Eli,

On Oct 24 2014, Eli Zaretskii <[email-masked]> wrote:

>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>>
>> > From: Yagnesh Raghava Yakkala <[email-masked]>
>> > Date: Fri, 24 Oct 2014 20:41:20 +0900
>> >
>> > I see frequent crashes with latest emacs. gdb backtrace is attached.
>>
>> Thanks, but I need a reproducible test case to debug this.
>>
>> It seems to abort while displaying the mode line, so perhaps you have
>> some special setup of the mode line which triggers the bug.

> Actually, I've just spotted and fixed a thinko in bidi.c, so please
> try the latest trunk.  If the problem still persists,

Built with your fix. Still experiencing crashes.

> please tell what is your mode-line-format at the moment of the assertion
> violation.

mode-line-format is set to the following:
╭─────
│("%e" mode-line-front-space mode-line-mule-info mode-line-client mode-line-modified mode-line-remote mode-line-frame-identification mode-line-buffer-identification "   " mode-line-position
│ (vc-mode vc-mode)
│ "  " mode-line-modes mode-line-misc-info mode-line-end-spaces)
╰─────

Thanks.,
--
ఎందరో మహానుభావులు అందరికి వందనములు.
YYR